RewriteEngine On
RewriteBase /

RewriteRule ^(.*)goods-(.+).html$ $1goods.php?iid=$2

RewriteRule ^(.*)list-([0-9]+).html$ $1list.php?catid=$2
RewriteRule ^(.*)list-([0-9]+)-([0-9]+)-([0-9]+)-([0-9]+).html$ $1list.php?catid=$2&sortnum=$3&sp=$4&ep=$5
RewriteRule ^(.*)list-([0-9]+)-([0-9]+)-([0-9]+)-([0-9]+)-([0-9]+).html$ $1list.php?catid=$2&sortnum=$3&sp=$4&ep=$5&page=$6
RewriteRule ^(.*)list-([0-9]+)-([0-9]+)-([0-9]+)-([0-9]+)-(.+)-([0-9]+).html$ $1list.php?catid=$2&sortnum=$3&sp=$4&ep=$5&sq=$6&page=$7

RewriteRule ^(.*)list-(.+)-([0-9]+).html$ $1list.php?sq=$2&catid=$3 [L]

RewriteRule ^(.*)shops-(.+)-([0-9]+).html$ $1shops.php?snick=$2&page=$3
RewriteRule ^(.*)shops-(.+).html$ $1shops.php?snick=$2

RewriteRule ^(.*)class.html$ $1class.php
RewriteRule ^(.*)class-([0-9]+).html$ $1class.php?id=$2
RewriteRule ^(.*)class-([0-9]+)-([0-9]+).html$ $1class.php?id=$2&page=$3

RewriteRule ^(.*)content.html$ $1content.php
RewriteRule ^(.*)content-([0-9]+).html$ $1content.php\?id=$2